IncorrectTypeHintException (Groovy 2.4.12)
Date: 2017-06-21

groovy.transform.stc

## Class IncorrectTypeHintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException
      - - org.codehaus.groovy.syntax.SyntaxException
        - - groovy.transform.stc.IncorrectTypeHintException

- All Implemented Interfaces:
    Serializable, GroovyExceptionInterface

      public class IncorrectTypeHintException
      extends SyntaxException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncorrectTypeHintException(MethodNode mn, String msg, int line, int column)`
    `IncorrectTypeHintException(MethodNode mn, Throwable e, int line, int column)`

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.groovy.syntax.SyntaxException

      `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

    - ### Methods inherited from class org.codehaus.groovy.GroovyException

      `isFatal, setFatal`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncorrectTypeHintException

          public IncorrectTypeHintException(MethodNode mn,
                                            Throwable e,
                                            int line,
                                            int column)

    - #### IncorrectTypeHintException

          public IncorrectTypeHintException(MethodNode mn,
                                            String msg,
                                            int line,
                                            int column)